package cn.com.poc.thirdparty.resource.demand.ai.entity.generations;

import java.util.List;

/**
 * @author alex.yao
 * @date 2023/10/9
 **/
public class SubTaskResult {

    private String subTaskStatus;

    private Integer subTaskProgress;

    private Integer subTaskErrorCode;

    private List<FinalImage> finalImageList;

    public String getSubTaskStatus() {
        return subTaskStatus;
    }

    public void setSubTaskStatus(String subTaskStatus) {
        this.subTaskStatus = subTaskStatus;
    }

    public Integer getSubTaskProgress() {
        return subTaskProgress;
    }

    public void setSubTaskProgress(Integer subTaskProgress) {
        this.subTaskProgress = subTaskProgress;
    }

    public Integer getSubTaskErrorCode() {
        return subTaskErrorCode;
    }

    public void setSubTaskErrorCode(Integer subTaskErrorCode) {
        this.subTaskErrorCode = subTaskErrorCode;
    }

    public List<FinalImage> getFinalImageList() {
        return finalImageList;
    }

    public void setFinalImageList(List<FinalImage> finalImageList) {
        this.finalImageList = finalImageList;
    }
}
